Bug 33628 - RFE - compilation flags may be not the best on Alpha
RFE - compilation flags may be not the best on Alpha
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 11:29 EST by Michal Jaegermann
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 08:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-03-28 11:29:44 EST
During XFree86 compilation at least on Alpha -ffast-math optimization
flag is used.  During recent timing runs with various application codes
on Alpha and with current releases of compilers from gcc-2.96 family
it was noted that results were consistently _slower_ when -ffast-math
was used.  Differences were never substantial but noticeable.  It is
possible that the same applies to XFree/Mesa.

It should be stressed that I do not have any comparative performance
numbers for this software on Alpha compiled with different optimization
flags.  This is only to note that maybe it would be worthwhile to look
closer at the issue at some moment.
Comment 1 Mike A. Harris 2001-03-28 14:02:02 EST
I will look into optimizing Alpha flags in the next run.
Comment 2 Mike A. Harris 2005-04-20 08:04:12 EDT
I'm currently reviewing all X related bugs in "DEFERRED" state.  This one
is rather old, and we no longer ship Alpha releases.  I suppose it's
kindof moot now though.  ;)

Note You need to log in before you can comment on or make changes to this bug.